Bug 1730911 (wgctrl) - Review Request: wgctrl - Control of WireGuard interfaces on multiple platforms
Summary: Review Request: wgctrl - Control of WireGuard interfaces on multiple platforms
Keywords:
Status: CLOSED ERRATA
Alias: wgctrl
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jared Smith
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1730904 1730907
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-17 20:41 UTC by Robert-André Mauchin
Modified: 2019-08-08 01:53 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-08 00:55:11 UTC
jsmith.fedora: fedora-review+


Attachments (Terms of Use)

Description Robert-André Mauchin 2019-07-17 20:41:39 UTC
Spec URL: https://eclipseo.fedorapeople.org/for-review/wgctrl.spec
SRPM URL: https://eclipseo.fedorapeople.org/for-review/wgctrl-0-0.1.20190717git28f4e24.fc31.src.rpm

Description:
 Package Wgctrl enables control of WireGuard interfaces on multiple platforms.

Fedora Account System Username: eclipseo

Comment 1 Robert-André Mauchin 2019-07-17 20:42:56 UTC
Successful COPR build: https://copr.fedorainfracloud.org/coprs/build/974158

Comment 2 Jared Smith 2019-07-26 23:49:35 UTC
Package is APPROVED.

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: There is no build directory. Running licensecheck on vanilla
     upstream sources. Licenses found: "Unknown or generated", "Expat
     License". 53 files have unknown license. Detailed output of
     licensecheck in
     /home/jsmith/Documents/Fedora/Reviews/1730911-wgctrl/licensecheck.txt
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[x]: Macros in Summary, %description expandable at SRPM build time.
     Note: Macros in: wgctrl (description)
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 4 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package must not depend on deprecated() packages.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[?]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: wgctrl-0-0.1.20190717git28f4e24.fc31.x86_64.rpm
          wgctrl-0-0.1.20190717git28f4e24.fc31.src.rpm
wgctrl.x86_64: W: no-manual-page-for-binary wgctrl
wgctrl.src: E: specfile-error warning: -u use in %forgemeta is deprecated, use -z instead to select a separate set of rpm variables!
2 packages and 0 specfiles checked; 1 errors, 1 warnings.




Rpmlint (debuginfo)
-------------------
Checking: wgctrl-debuginfo-0-0.1.20190717git28f4e24.fc31.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
perl: warning: Setting locale failed.
perl: warning: Please check that your locale settings:
	LANGUAGE = (unset),
	LC_ALL = (unset),
	LC_CTYPE = "C.UTF-8",
	LANG = "en_US.UTF-8"
    are supported and installed on your system.
perl: warning: Falling back to the standard locale ("C").
perl: warning: Setting locale failed.
perl: warning: Please check that your locale settings:
	LANGUAGE = (unset),
	LC_ALL = (unset),
	LC_CTYPE = "C.UTF-8",
	LANG = "en_US.UTF-8"
    are supported and installed on your system.
perl: warning: Falling back to the standard locale ("C").
wgctrl.x86_64: W: invalid-url URL: https://github.com/WireGuard/wgctrl-go <urlopen error [Errno -2] Name or service not known>
wgctrl.x86_64: W: no-manual-page-for-binary wgctrl
wgctrl-debuginfo.x86_64: W: invalid-url URL: https://github.com/WireGuard/wgctrl-go <urlopen error [Errno -2] Name or service not known>
2 packages and 0 specfiles checked; 0 errors, 3 warnings.



Source checksums
----------------
https://github.com/WireGuard/wgctrl-go/archive/28f4e240be2d40c8ae16f3bbc8f05c8ee57fc554/wgctrl-go-28f4e240be2d40c8ae16f3bbc8f05c8ee57fc554.tar.gz :
  CHECKSUM(SHA256) this package     : 7778365598e50526ec574a4716ce291699088e2f7a849116151cbde2f68ecf96
  CHECKSUM(SHA256) upstream package : 7778365598e50526ec574a4716ce291699088e2f7a849116151cbde2f68ecf96


Requires
--------
wgctrl (rpmlib, GLIBC filtered):
    libc.so.6()(64bit)
    libpthread.so.0()(64bit)
    rtld(GNU_HASH)



Provides
--------
wgctrl:
    wgctrl
    wgctrl(x86-64)



Generated by fedora-review 0.7.2 (65d36bb) last change: 2019-04-09
Command line :/usr/bin/fedora-review -b 1730911
Buildroot used: fedora-rawhide-x86_64
Active plugins: Shell-api, Generic
Disabled plugins: Java, Haskell, fonts, SugarActivity, PHP, Ocaml, Python, Perl, R, C/C++
Disabled flags: EPEL6, EPEL7, DISTTAG, BATCH, EXARCH

Comment 3 Igor Gnatenko 2019-07-29 06:27:09 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/wgctrl

Comment 4 Fedora Update System 2019-07-29 22:12:36 UTC
FEDORA-2019-e78467093e has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-e78467093e

Comment 5 Fedora Update System 2019-07-29 22:12:48 UTC
FEDORA-2019-ad40674b22 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-ad40674b22

Comment 6 Fedora Update System 2019-07-31 01:31:24 UTC
wgctrl-0-0.1.20190729git28f4e24.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-e78467093e

Comment 7 Fedora Update System 2019-07-31 03:40:26 UTC
wgctrl-0-0.1.20190729git28f4e24.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-ad40674b22

Comment 8 Fedora Update System 2019-08-08 00:55:11 UTC
wgctrl-0-0.1.20190729git28f4e24.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2019-08-08 01:53:14 UTC
wgctrl-0-0.1.20190729git28f4e24.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.